Subject: source licenses

From: Dion <[email-masked]>
Date: Thu, 12 Sep 96 12:47:31 PDT

Greetings, Warren,

This is the conclusion after considerable discussion here.

---

From: wkt (Warren Toomey)
Date: Wed, 2 Oct 1996 09:13:58 +1000 (EST)

In atricle by Dion:
> From a legal standpoint, for the kind of license you want, there
> is still too much risk of exposure of parts of the UNIX source
> code that, even after all these years, is still under trade
> secret protection.  Bear in mind that if we reliquish trade 
> secret protection for certain techniques and processes that
> exist in the old version, it would also impact the claims
> of protection in current product.
> 
> We might consider offering a binary license for old versions of
> the UNIX System.  This would be accomplished by modifying the
> form of the Digital license for the 0S/8.  We might be able to
> offer something like that if you think it would help.
> 
> But source code looks like a no-go.

Thanks for the email Dion, I guess a binary-only license would be better
than nothing. However, I had an idea last night.

I assume SCO sells source licenses for SysVR4.2 (or whatever the current
version is). SCO must believe that the license protects their intellectual
property in SysVR4.2.

Take that license & replace `SysVR4.2 UNIX' with `5th, 6th & 7th Edition UNIX'.
Now, does this modified source license protect SCO's intellectual property
which is in 5th, 6th & 7th Edition UNIX? If so, then would SCO agree to sell
this source license?

I assume that the price tag is not written into the SysVR4.2 source license,
and so changing the cost of a `5th, 6th & 7th Edition UNIX' source license
would not be too much of a problem.

Can you let me know if there are any problems with this approach?

Thanks again!

	Warren